readClf {affxparser} | R Documentation

## Parsing a CLF file using Affymetrix Fusion SDK

### Description

This function parses a CLF file using the Affymetrix Fusion SDK. CLF (chip layout) files contain information associating probe ids with chip x- and y- coordinates.

### Usage

    readClf(file)

### Arguments

`file` | `character(1)` providing a path to the CLF file to be input.

### Value

An list. The `header` element is always present.

`header` | A list with information about the CLF file. The list contains elements described in the CLF file format document referenced below.
`dims` | A length-two integer vector of chip x- and y-coordinates.
`id` | An integer vector of length `prod(dims)` containing probe identifiers.
`x` | An integer vector of length `prod(dims)` containing x-coordinates corresponding to the entries in `id`.
`y` | An integer vector of length `prod(dims)` containing y-coordinates corresponding to the entries in `id`.

### Author(s)

Martin Morgan mtmorgan@fhcrc.org

### See Also

https://www.affymetrix.com/support/developer/fusion/File_Format_CLF_aptv161.pdf describes CLF file content.

[Package affxparser version 1.16.0 Index]